<?php
    $config = cmsConfig::getInstance();
    $core = cmsCore::getInstance();
?>
<!DOCTYPE html>
<html>
<head>
    <title><?php $this->title(); ?></title>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <?php $this->addMainCSS("templates/{$this->name}/css/theme-text.css"); ?>
    <?php $this->addMainCSS("templates/{$this->name}/css/theme-layout.css"); ?>
    <?php $this->addMainCSS("templates/{$this->name}/css/theme-gui.css"); ?>
    <?php $this->addMainCSS("templates/{$this->name}/css/theme-widgets.css"); ?>
    <?php $this->addMainCSS("templates/{$this->name}/css/theme-content.css"); ?>
    <?php $this->addMainCSS("templates/{$this->name}/css/theme-modal.css"); ?>
    <?php $this->addMainJS("templates/{$this->name}/js/jquery.js"); ?>
    <?php $this->addMainJS("templates/{$this->name}/js/jquery-modal.js"); ?>
    <?php $this->addMainJS("templates/{$this->name}/js/core.js"); ?>
    <?php $this->addMainJS("templates/{$this->name}/js/modal.js"); ?>
    <?php $this->addMainJS("templates/{$this->name}/js/messages.js"); ?>
    <!--[if lt IE 9]>
        <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
        <script src="http://css3-mediaqueries-js.googlecode.com/svn/trunk/css3-mediaqueries.js"></script>
    <![endif]-->
    <?php $this->head(); ?>
    <style><?php include('options.css.php'); ?></style>
</head>
<body>
<script type="text/javascript">(function() {
  if (window.pluso)if (typeof window.pluso.start == "function") return;
  if (window.ifpluso==undefined) { window.ifpluso = 1;
    var d = document, s = d.createElement('script'), g = 'getElementsByTagName';
    s.type = 'text/javascript'; s.charset='UTF-8'; s.async = true;
    s.src = ('https:' == window.location.protocol ? 'https' : 'http')  + '://share.pluso.ru/pluso-like.js';
    var h=d[g]('body')[0];
    h.appendChild(s);
  }})();</script>

	<div id="pagelayout" style="margin-top:10px; height: 50px;">  
		<?php if($this->hasWidgetsOn('uppermenu')) { ?>
			<div class="uppermenu">
				<?php $this->widgets('uppermenu'); ?>
			</div>
		<?php } ?>
		<div class="pluso" data-background="transparent" data-options="big,square,line,horizontal,nocounter,theme=02" data-services="vkontakte,odnoklassniki,facebook,twitter,google,moimir,email"></div>
	</div>   
	
	<div id="pagelayout">

        <?php if (!$config->is_site_on){ ?>
            <div id="site_off_notice"><?php printf(ERR_SITE_OFFLINE_FULL, href_to('admin', 'settings', 'siteon')); ?></div>
        <?php } ?>
	
		<div class="header_line">
			<?php if($this->hasWidgetsOn('top')) { ?>
				<div id="logo"><a href="<?php echo href_to_home(); ?>"></a></div>
				<nav>
					<?php $this->widgets('top', false, 'wrapper_plain'); ?>
				</nav>
			<?php } ?>
		</div>
		
		<?php if($this->hasWidgetsOn('widewidget')) { ?>
			<div class="widewidget">
					<?php $this->widgets('widewidget', false, 'wrapper_plain'); ?>		
			</div>
		<?php } ?>
		
        <div id="body">

            <?php
                $is_sidebar = $this->hasWidgetsOn('right-top', 'right-center', 'right-bottom');
                $section_width = $is_sidebar ? '70%' : '100%';
            ?>

            <?php
                $messages = cmsUser::getSessionMessages();
                if ($messages){
                    ?>
                    <div class="sess_messages">
                        <?php
                            foreach($messages as $message){
                                echo $message;
                            }
                        ?>
                    </div>
                    <?php
                }
            ?>

			<section>
				<div class="main_cont">
					<?php $this->widgets('left-top'); ?>
					<?php if ($this->isBody()){ ?>
						<article>
							<?php if ($this->isBreadcrumbs()){ ?>
								<div id="breadcrumbs">
									<?php $this->breadcrumbs(array('strip_last'=>false)); ?>
								</div>
							<?php } ?>
							<?php $this->body(); ?>
						</article>
					<?php } ?>
					<?php $this->widgets('left-bottom'); ?>
				</div>	
				<?php if($this->hasWidgetsOn('w1')&&('w2')&&('w3')) { ?>
					<div class="padd">
						<div class="w1-1">
							<?php $this->widgets('w1'); ?>
						</div>
						<div class="w1-2">
							<?php $this->widgets('w2'); ?>
						</div>
						<div class="w1-3">
							<?php $this->widgets('w3'); ?>
						</div>
					</div>
				<?php } ?>
            </section>

            <aside>
				<div class="aside_cont">
					<?php $this->widgets('right-top'); ?>

					<?php $this->widgets('right-center'); ?>

					<?php $this->widgets('right-bottom'); ?>
				</div>
            </aside>

        </div>

        <?php if ($config->debug && cmsUser::isAdmin()){ ?>
            <div id="sql_debug" style="display:none">
                <div id="sql_queries">
                    <?php foreach($core->db->query_list as $sql) { ?>
                        <div class="query">
                            <div class="src"><?php echo $sql['src']; ?></div>
                            <?php echo nl2br($sql['sql']); ?>
                        </div>
                    <?php } ?>
                </div>
            </div>
        <?php } ?>
    </div>

	<div id="footerfourpositions">
		<div id="pagelayout">
				<div class="positionfooter">
					<?php $this->widgets('pf1'); ?>
				</div>
				<div class="positionfooter">
					<?php $this->widgets('pf2'); ?>
				</div>
				<div class="positionfooter">
					<?php $this->widgets('pf3'); ?>
				</div>
				<div class="positionfooter">
					<?php $this->widgets('pf4'); ?>
				</div>
		</div>
	</div>
	
	<div id="footerwide">
		<div id="pagelayout">
			<footer>
				<ul>
					<li id="copyright">
						<a href="<?php echo $this->options['owner_url'] ? $this->options['owner_url'] : href_to_home(); ?>">
							<?php html($this->options['owner_name'] ? $this->options['owner_name'] : cmsConfig::get('sitename')); ?></a>
						&copy;
						<?php echo $this->options['owner_year'] ? $this->options['owner_year'] : date('Y'); ?>
					</li>
					<li id="info">
						<span class="item">
							<?php echo LANG_POWERED_BY_INSTANTCMS; ?>
						</span>
						<span class="item">
							<?php echo LANG_ICONS_BY_FATCOW; ?>
						</span>
						<?php if ($config->debug && cmsUser::isAdmin()){ ?>
							<span class="item">
								SQL: <a href="#sql_debug" class="ajax-modal"><?php echo $core->db->query_count; ?></a>
							</span>
							<span class="item">
								Cache: <?php echo cmsCache::getInstance()->query_count; ?></a>
							</span>
							<span class="item">
								Mem: <?php echo round(memory_get_usage()/1024/1024, 2); ?> Mb
							</span>
						<?php } ?>
					</li>
					<li id="nav">
						<?php $this->widgets('footer', false, 'wrapper_plain'); ?>
					</li>
				</ul>
			</footer>
		</div>
	</div>
</body>
</html>
